Connect with us
Chrome discovered 25 new vulnerabilities at once Chrome discovered 25 new vulnerabilities at once

Security

Chrome discovered 25 new vulnerabilities at once

Published

on

Google has not disclosed details of the vulnerabilities yet to give users enough time to install updates.

Google has posted some stunning news on its blog: 25 new vulnerabilities have been discovered in the Chrome browser over the past two weeks, affecting users of Linux, macOS and Windows. Seven of them are marked as highly hazardous.

As usual, Google does not disclose the details of the vulnerabilities to give users enough time to install the updates. So far, only the following information is available about high-risk vulnerabilities:

CVE-2021-38007 – mismatch of input data types in V8;

CVE-2021-38008 – Memory usage after media release;

CVE-2021-38009 – incorrect implementation in the cache;

CVE-2021-38006 – Memory usage after release in storage;

CVE-2021-38005 – memory usage after free in the bootloader;

CVE-2021-38010 – incorrect implementation in services;

CVE-2021-38011 – Memory usage after release in storage.

As you can see from the list above, the most common post-deal memory exploitation vulnerabilities. They are problems that arise when a program cannot delete a pointer to a region of memory after it has been freed.

Exploits for these types of vulnerabilities topped the top ten successful exploits in September and October this year, and were also used in several attacks through zero-day vulnerabilities.

Google released fixes for vulnerabilities with the release of Chrome version 96.0.4664.45, but warned that mailing to users will take place in the coming days / weeks, which means that users will not be able to protect themselves this very minute.

After installing the update, you need to restart the browser (usually users forget about this) in order to apply it.

Click to comment

Leave a Reply

Your email address will not be published.

Components

Vulnerability found in the Apple M1 processor that cannot be closed programmatically

Published

on

Vulnerability found in the Apple M1 processor that cannot be

Specialists from the Computer Science and Artificial Intelligence Laboratory (CSAIL) from the Massachusetts Institute of Technology said that they were able to develop a PACMAN attack technique, which is possible due to a hardware vulnerability in the Apple M1 processor. Moreover, it cannot be closed by software.

Vulnerability found in the Apple M1 processor that cannot be closed programmatically

The attack itself is carried out using software and hardware, and it can be performed remotely. The PACMAN attack makes it possible to gain access to the kernel of the operating system. At the same time, potentially the same vulnerabilities can be in Qualcomm and Samsung processors, but this has not yet been confirmed.

The technical side of the attack is based on the Pointer Authentication function. It is used to check Pointer Authentication Codes (PACs), allowing only code-signed software to run. However, the PACMAN method allows you to select the necessary PAC values. In part, this technique is similar to Specter and Meltdown in Intel processors.

At the same time, Apple spokesman Scott Radcliffe said that the vulnerability does not pose an immediate threat to users and is not sufficient in itself to bypass operating system protections.

A few years ago, a vulnerability was already found in Arm processors that allows an attacker to gain unauthorized access to data.

Continue Reading

Security

So much for Unisoc. Companies have discovered a vulnerability in single-chip systems

Published

on

So much for Unisoc Companies have discovered a vulnerability in

Unisoc is actively capturing the market for single-chip systems, although it does so exclusively in the budget segment itself. However, it turned out that these platforms have a critical vulnerability.

So much for Unisoc.  Companies have discovered a vulnerability in single-chip systems

According to the source, the problem is in the modem’s firmware and affects both 4G and 5G platforms. The vulnerability, numbered CVE-2022-20210, was discovered while scanning Non-Access Stratum (NAS) message handlers. This vulnerability could be used to neutralize or block the device’s cellular capabilities.

The vulnerability was first discovered in the Motorola Moto G20 smartphone based on the Unisoc T700 SoC. But in the end it turned out that the same vulnerability occurs in other platforms, however, the source did not provide a list.

The Check Point specialists who discovered the vulnerability notified Unisoc back in May, and the company has already released a fix, so smartphone owners should not worry now if they update the software of their devices.

Continue Reading

Security

New vulnerability in Microsoft Office is heavily exploited by hackers

Published

on

New vulnerability in Microsoft Office is heavily exploited by hackers

A serious vulnerability has been found in the Microsoft Office suite that could potentially allow attackers to execute arbitrary code.

New vulnerability in Microsoft Office is heavily exploited by hackers

She was assigned the number CVE-2022-30190, and among the researchers they gave the name Follina. As noted in Kaspersky Lab, the most unpleasant thing is that there is no fix yet, and in the meantime, the vulnerability is already being actively exploited by attackers. Vulnerability CVE-2022-30190 threatens all operating systems of the Windows family, both regular and server.

While the update is being developed, experts recommend that all Windows users and administrators take advantage of temporary workarounds. As a Microsoft workaround recommends disable the MSDT URL protocol.

The CVE-2022-30190 vulnerability itself is contained in the Microsoft Windows Support Diagnostic Tool (MSDT), but due to the implementation of this tool, a single malicious office document is enough to exploit the vulnerability.

The scheme could be like this. Attackers create a malicious office document and slip it to the victim, for example by sending an email with an attachment. The infected file contains a link to an HTML file that contains JavaScript code that executes malicious code on the command line via MSDT. As a result, attackers are able to install programs, view, modify or destroy data, as well as create new accounts – that is, do everything that the privileges of the user who opened the infected file allow.

Continue Reading

Most Popular